use std::{fs, path::Path, sync::Arc};

use flowgate::{config::Config, server::FlowgateServer};
use ignore_result::Ignore;

fn main() {
    colog::init();

    if !Path::new("conf.yml").exists() {
        fs::write("conf.yml", include_bytes!("../conf.yml")).ignore();
    }

    let config = Arc::new(Config::parse("conf.yml").unwrap());
    let server = FlowgateServer::new(config.clone());

    server.run();
}